.\\" auto-generated by docbook2man-spec $Revision: 1.1.1.1 $
.TH "ALTER OPERATOR" "" "2010-03-12" "SQL - Language Statements" "SQL Commands"
.SH NAME
ALTER OPERATOR \- change the definition of an operator

.SH SYNOPSIS
.sp
.nf
ALTER OPERATOR \fIname\fR ( { \fIlefttype\fR | NONE } , { \fIrighttype\fR | NONE } ) OWNER TO \fInewowner\fR
.sp
.fi
.SH "DESCRIPTION"
.PP
\fBALTER OPERATOR\fR changes the definition of
an operator. The only currently available functionality is to change the
owner of the operator.
.SH "PARAMETERS"
.TP
\fB\fIname\fB\fR
The name (optionally schema-qualified) of an existing operator.
.TP
\fB\fIlefttype\fB\fR
The data type of the operator's left operand; write
NONE if the operator has no left operand.
.TP
\fB\fIrighttype\fB\fR
The data type of the operator's right operand; write
NONE if the operator has no right operand.
.TP
\fB\fInewowner\fB\fR
The new owner of the operator.
You must be a superuser to change the owner of an operator.
.SH "EXAMPLES"
.PP
Change the owner of a custom operator a @@ b for type \fBtext\fR:
.sp
.nf
ALTER OPERATOR @@ (text, text) OWNER TO joe;
.sp
.fi
.SH "COMPATIBILITY"
.PP
There is no \fBALTER OPERATOR\fR statement in
the SQL standard.
.SH "SEE ALSO"
CREATE OPERATOR [\fBcreate_operator\fR(l)], DROP OPERATOR [\fBdrop_operator\fR(l)]
