.\\" auto-generated by docbook2man-spec $Revision: 1.1.1.1 $
.TH "SPI_execp" "" "2010-03-12" "" "PostgreSQL 8.0.24 Documentation"
.SH NAME
SPI_execp \- execute a plan in read/write mode

.SH SYNOPSIS
.sp
.nf
int SPI_execp(void * \fIplan\fR, Datum * \fIvalues\fR, const char * \fInulls\fR, int \fIcount\fR)
.sp
.fi
.SH "DESCRIPTION"
.PP
\fBSPI_execp\fR is the same as
\fBSPI_execute_plan\fR, with the latter's
\fIread_only\fR parameter always taken as
false.
.SH "ARGUMENTS"
.TP
\fBvoid * \fIplan\fB\fR
execution plan (returned by \fBSPI_prepare\fR)
.TP
\fBDatum * \fIvalues\fB\fR
An array of actual parameter values. Must have same length as the
plan's number of arguments.
.TP
\fBconst char * \fInulls\fB\fR
An array describing which parameters are null. Must have same length as
the plan's number of arguments.
n indicates a null value (entry in
\fIvalues\fR will be ignored); a space indicates a
nonnull value (entry in \fIvalues\fR is valid).

If \fInulls\fR is \fBNULL\fR then
\fBSPI_execp\fR assumes that no parameters are
null.
.TP
\fBint \fIcount\fB\fR
maximum number of rows to process or return
.SH "RETURN VALUE"
.PP
See \fBSPI_execute_plan\fR.
.PP
SPI_processed and
SPI_tuptable are set as in
\fBSPI_execute\fR if successful.
